Last Comment Bug 767820 - Failure in testAboutPrivateBrowsing.js | Disconnect Error: Application unexpectedly closed
: Failure in testAboutPrivateBrowsing.js | Disconnect Error: Application unexpe...
Status: RESOLVED FIXED
[mozmill-test-failure]
:
Product: Mozilla QA
Classification: Other
Component: Mozmill Tests (show other bugs)
: unspecified
: All Windows Vista
: -- critical (vote)
: ---
Assigned To: Henrik Skupin (:whimboo)
:
Mentors:
http://mozmill-ci.blargon7.com/#/func...
Depends on: 774595
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 12:07 PDT by Anthony Hughes (:ashughes) [GFX][QA][Mentor]
Modified: 2012-07-17 01:25 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed
unaffected


Attachments
Patch v1 (3.96 KB, patch)
2012-06-26 07:56 PDT, Henrik Skupin (:whimboo)
dave.hunt: review+
Details | Diff | Splinter Review

Description Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-06-24 12:07:45 PDT
Failure discovered while running 14.0b9 functional tests.

Module: /testPrivateBrowsing/testAboutPrivateBrowsing.js 	
Test: testCheckPrivateBrowsingMode 	
Error: Disconnect Error: Application unexpectedly closed
Report: http://mozmill-ci.blargon7.com/#/functional/report/44fc451c2e6b66b62172f2e13e17df77
Comment 1 Henrik Skupin (:whimboo) 2012-06-25 02:31:14 PDT
This is Vista only. I will check that box if something is wrong with it. Regressed lately.

Anthony, please always put the link to the failure list into the URL field. Thanks.
Comment 2 Henrik Skupin (:whimboo) 2012-06-25 03:11:46 PDT
VM has been upgraded to the latest security fixes and restarted. Lets watch the results in the next couple of days.
Comment 3 Henrik Skupin (:whimboo) 2012-06-26 06:40:59 PDT
The failure we are getting here in the log is:

Timeout: bridge.execFunction("d0f4258f-bf91-11e1-a14b-40a6d9fc6d3f", bridge.registry["{7efaa23f-f4eb-4bed-8cac-f9ea3a1a758f}"]["runTestFile"], ["c:\\users\\mozilla\\appdata\\local\\temp\\tmpmfsmn_.mozmill-tests\\tests\\functional\\testPrivateBrowsing\\testAboutPrivateBrowsing.js"])

TEST-UNEXPECTED-FAIL | Disconnect Error: Application unexpectedly closed
Timeout: bridge.set("f5b26d5e-bf91-11e1-a53e-40a6d9fc6d3f", Components.utils.import('resource://mozmill/modules/mozmill.js'))

I wasn't able to follow this testrun visually but it really looks like we crashed. I have to further investigate that.
Comment 4 Henrik Skupin (:whimboo) 2012-06-26 07:27:53 PDT
As observed right now it doesn't look like that we crash but Firefox seems to freeze when loading the private browsing page on SUMO. The same happens for all the other tests we can see this disconnect. 

This is the report:
http://mozmill-ci.blargon7.com/#/functional/report/faf11289b77273aad9ea281fc2018cfc
Comment 5 Henrik Skupin (:whimboo) 2012-06-26 07:31:04 PDT
The page which gets loaded is:
http://support.mozilla.org/en-US/kb/private-browsing-browse-web-without-saving-info?redirectlocale=en-US&as=u&redirectslug=Private+Browsing

So probably we should change this test to use a local page instead.
Comment 6 Henrik Skupin (:whimboo) 2012-06-26 07:56:12 PDT
Created attachment 636713 [details] [diff] [review]
Patch v1

Ok, so lets use a local page instead of the remote SUMO page. Works way fast now and hopefully should fix this problem.
Comment 7 Dave Hunt (:davehunt) 2012-06-26 08:29:40 PDT
Comment on attachment 636713 [details] [diff] [review]
Patch v1

Looks great! Landed as:
http://hg.mozilla.org/qa/mozmill-tests/rev/c324742b67b1 (default)
Comment 8 Henrik Skupin (:whimboo) 2012-06-27 07:27:38 PDT
Looks good today. No more failure in this test.

Pushed to other branches:
http://hg.mozilla.org/qa/mozmill-tests/rev/fba72f1ed3b7 (aurora)
http://hg.mozilla.org/qa/mozmill-tests/rev/70b6df6f45a4 (beta)
http://hg.mozilla.org/qa/mozmill-tests/rev/8319729d6978 (release)
Comment 9 Henrik Skupin (:whimboo) 2012-07-09 07:28:50 PDT
This was fixed by just using a local page instead of one with a Flash object included. This would have been blocked by bug 770821.

Note You need to log in before you can comment on or make changes to this bug.